org.apache.maven.scm.manager

## Class BasicScmManager

- java.lang.Object
- - org.apache.maven.scm.manager.AbstractScmManager
  - - org.apache.maven.scm.manager.BasicScmManager

- All Implemented Interfaces:
    ScmManager

      public class BasicScmManager
      extends AbstractScmManager

  Version:
    $Id: BasicScmManager.java 754778 2009-03-15 22:26:37Z olamy $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.manager.ScmManager

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicScmManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ScmLogger` | `getScmLogger()`

    - ### Methods inherited from class org.apache.maven.scm.manager.AbstractScmManager

      `add, add, addScmProvider, branch, branch, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, cleanScmUrl, diff, edit, export, export, export, export, getProviderByRepository, getProviderByType, getProviderByUrl, list, makeProviderScmRepository, makeScmRepository, remove, setScmProvider, setScmProviderImplementation, setScmProviders, status, tag, tag, unedit, update, update, update, update, update, update, update, update, update, update, validateScmRepository`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicScmManager

          public BasicScmManager()

  - ### Method Detail

    - #### getScmLogger

          protected ScmLogger getScmLogger()

      Specified by:
        `getScmLogger` in class `AbstractScmManager`

Copyright © 2003–2015. All rights reserved.